# Method: namespaces.jobs.get

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/get#body.aspect)

Get information about a job.

### HTTP request

`GET https://run.googleapis.com/apis/run.googleapis.com/v1/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the job to retrieve. It takes the form namespaces/{namespace}/jobs/{jobName} and the `endpoint` must be regional. Replace {namespace} with the project ID or number. It takes the form `namespaces/{namespace}/jobs/{job}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `run.jobs.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs#Job`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).